Bug 690882 - Fix Coverity incorrect expression issues
Summary: Fix Coverity incorrect expression issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 639035 389_1.2.9
TreeView+ depends on / blocked
 
Reported: 2011-03-25 17:00 UTC by Nathan Kinder
Modified: 2015-01-04 23:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:53 UTC


Attachments (Terms of Use)
Patch for cov#10571 (1.17 KB, patch)
2011-03-25 17:03 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10572,10710 (1.04 KB, patch)
2011-03-25 17:06 UTC, Nathan Kinder
rmeggins: review+
Details | Diff
Patch for cov#10636,10637 (1.36 KB, patch)
2011-03-25 17:09 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10703 (1.30 KB, patch)
2011-03-25 17:16 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#10572,10710 (2.35 KB, patch)
2011-03-25 17:42 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-03-25 17:00:09 UTC
A recent run of Coverity has identified a few incorrect expression issues.  We need to fix these issues.

Comment 1 Nathan Kinder 2011-03-25 17:03:05 UTC
Created attachment 487615 [details]
Patch for cov#10571

Comment 2 Nathan Kinder 2011-03-25 17:06:25 UTC
Created attachment 487617 [details]
Patch for cov#10572,10710

Comment 3 Nathan Kinder 2011-03-25 17:09:54 UTC
Created attachment 487619 [details]
Patch for cov#10636,10637

Comment 4 Nathan Kinder 2011-03-25 17:16:01 UTC
Created attachment 487621 [details]
Patch for cov#10703

Comment 5 Rich Megginson 2011-03-25 17:20:12 UTC
Comment on attachment 487617 [details]
Patch for cov#10572,10710

ugh - I hate magic numbers - but ok

Comment 6 Nathan Kinder 2011-03-25 17:42:30 UTC
Created attachment 487628 [details]
Patch for cov#10572,10710

Revised the previous patch to pass in the array length instead of using a magic number.

Comment 7 Nathan Kinder 2011-03-25 21:11:18 UTC
Pushed patches to master.  Thanks to Rich for his review!

Counting objects: 33, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (25/25), done.
Writing objects: 100% (25/25), 2.95 KiB, done.
Total 25 (delta 17), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   13e53f4..5b6d116  master -> master


Note You need to log in before you can comment on or make changes to this bug.